Bug 162339 - sysutils/screen: Unable to start screen when $TERM is longer than 20 characters
Summary: sysutils/screen: Unable to start screen when $TERM is longer than 20 characters
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-06 18:40 UTC by Momchil
Modified: 2011-11-08 05:16 UTC (History)
0 users

See Also:


Attachments
file.diff (1.10 KB, patch)
2011-11-06 18:40 UTC, Momchil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Momchil 2011-11-06 18:40:10 UTC
Unable to start screen when $TERM is longer than 20 characters, example TERM="rxvt-unicode-256color". It says "$TERM too long - sorry.". There is a bug report about this here http://savannah.gnu.org/bugs/?30880 and it is more than a year old. Inside there are links to patches, there are similar patches used on other projects: http://projects.archlinux.org/svntogit/packages.git/tree/screen/trunk/screen-4.0.3-long-term.patch

Since nothing happens with the source code of screen, I am attaching a fix that adds the patch to the sysutils/screen port. The buffer is made 31+1 long, this leaves some room for longer TERM variables, though the length is arbitrary.

Fix: Patch attached with submission follows:
How-To-Repeat: export TERM="rxvt-unicode-256color"
screen
Comment 1 Edwin Groothuis freebsd_committer 2011-11-06 18:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Cy Schubert freebsd_committer 2011-11-07 19:47:01 UTC
State Changed
From-To: open->analyzed

Patch looks OK however packaging the patches for inclusion into the ports 
tree is incorrect. I will repackage the patches before committing them.
Comment 3 Cy Schubert freebsd_committer 2011-11-08 05:14:07 UTC
State Changed
From-To: analyzed->closed

Fixed.